//
//  resizeImage.m
//  BocaIpadSDK
//
//  Created by Michael Hall on 12/18/17.
//  Copyright © 2017 Boca Systems. All rights reserved.
//

#import "resizeImage.h"

@implementation resizeImage

-(UIImage *)resizeImage:(UIImage *)image width:(CGFloat)resizedWidth height:(CGFloat)resizedHeight
{
    
    UIGraphicsBeginImageContext(CGSizeMake(resizedWidth, resizedHeight));
    [image drawInRect:CGRectMake(0, 0, resizedWidth, resizedHeight)];
    resized = UIGraphicsGetImageFromCurrentImageContext();
    UIGraphicsEndImageContext();
    return resized;
}

-(NSData *) thumbnailImageData {
    thumbnailImageData = UIImageJPEGRepresentation(resized, 0.7);
    return thumbnailImageData;
}


@end
